package com.sunxung.factoring.entity.sys;

import com.sunxung.factoring.entity.BaseEntity;

/**
 * @Description 用户角色关系类
 * @author JiangJing
 * @date 2017年3月15日 下午3:34:56
 * @version 1.0
 */
public class UserRoleRel extends BaseEntity {

    private static final long serialVersionUID = 1L;
    /** 用户ID */
    private Long userId;
    /** 角色ID */
    private Long roleId;
    /** 是否该角色管理员 默认false*/
    private boolean admin;

    public UserRoleRel(){
    }

    public UserRoleRel(Long userId, Long roleId, boolean admin){
        this.userId = userId;
        this.roleId = roleId;
        this.admin = admin;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public boolean isAdmin() {
        return admin;
    }

    public void setAdmin(boolean admin) {
        this.admin = admin;
    }
}
